# PersistentModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PersistentModifier`Abstract`

#### Hierarchy (View Summary)

- Modifier
  - PersistentModifier
    - LapsingPersistentModifier
    - MapModifier
    - MegaEvolutionAccessModifier
    - GigantamaxAccessModifier
    - TerastallizeAccessModifier
    - PokemonHeldItemModifier
    - LevelIncrementBoosterModifier
    - PreserveBerryModifier
    - MultipleParticipantExpBonusModifier
    - HealingBoosterModifier
    - ExpBoosterModifier
    - ExpShareModifier
    - ExpBalanceModifier
    - MoneyMultiplierModifier
    - MoneyInterestModifier
    - HiddenAbilityRateBoosterModifier
    - ShinyRateBoosterModifier
    - CriticalCatchChanceBoosterModifier
    - LockModifierTiersModifier
    - HealShopCostModifier
    - BoostBugSpawnModifier
    - IvScannerModifier
    - ExtraModifierModifier
    - EnemyPersistentModifier

- Defined in src/modifier/modifier.ts:185

##### Index

### Constructors

constructor

### Properties

stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new PersistentModifier(
  type: ModifierType ,
  stackCount?: number,
  ): PersistentModifier

  #### Parameters

  - type: ModifierType
  - stackCount: number = 1

  #### Returns PersistentModifier

  Overrides Modifier.constructor

  - Defined in src/modifier/modifier.ts:189

## Properties

### stackCount

stackCount: number

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from Modifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:195

### `Abstract` apply

- apply(...args: unknown[]): boolean

  Handles applying of `Modifier`

  #### Parameters

  - ...args: unknown[]

    collection of all passed parameters

  #### Returns boolean

  Inherited from Modifier.apply

  - Defined in src/modifier/modifier.ts:182

### `Abstract` clone

- clone(): PersistentModifier

  #### Returns PersistentModifier

  - Defined in src/modifier/modifier.ts:210

### getArgs

- getArgs(): any[]

  #### Returns any[]

  - Defined in src/modifier/modifier.ts:212

### getIcon

- getIcon(_forSummary?: boolean): Container

  #### Parameters

  - `Optional`_forSummary: boolean

  #### Returns Container

  - Defined in src/modifier/modifier.ts:239

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  - Defined in src/modifier/modifier.ts:260

### `Abstract` getMaxStackCount

- getMaxStackCount(forThreshold?: boolean): number

  #### Parameters

  - `Optional` forThreshold: boolean

  #### Returns number

  - Defined in src/modifier/modifier.ts:233

### getStackCount

- getStackCount(): number

  #### Returns number

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:235

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from Modifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(..._args: unknown[]): boolean

  Checks if `Modifier` should be applied

  #### Parameters

  - ..._args: unknown[]

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  Inherited from Modifier.shouldApply

  - Defined in src/modifier/modifier.ts:174